#uses "fwUnitTestComponentAsserts.ctl"
#uses "test/unXYChart/classes/unXYChart_Scale.ctl"

//------------------------------------
void test_unXYChart_scaling_setupSuite() {
}

//------------------------------------
// This routine is optional. It is never called, presence of this routine just tells to
// test runner that tests of this library shall run in UI manager
void test_unXYChart_scaling_alwaysRunInUI()
{
}


//----------------------------------------------
//The panel vision/test/unXYChart/test_unXYChart_scaling.xml
//create a XYChart with scale set to 0-1.2 and 1-4
void test_unXYChart_scaling_predefinedScaling(){		
	addSymbol( myModuleName(), myPanelName(), "vision/test/unXYChart/test_unXYChart_scaling.xml", "testUnXyChartScaling", makeDynString(), 1,1, 0, 1,1);

	//hardcoded delay to make sure the symbol is fully initialized
	delay(5);
	
	UnXYChart_Scale scale_expected;
	scale_expected.setMinX(0);
	scale_expected.setMaxX(1.2);
	scale_expected.setMinY(1);
	scale_expected.setMaxY(4);
	
	UnXYChart_Scale scale = invokeMethod("testUnXyChartScaling", "getScale");
	
	assertEqual( scale_expected, scale, "The manual scale applied to the XY chart did not seem to be applied");
	
}


